Sign inGet started

Runs

GET
/organizations/{organizationId}/approvals/{approvalId}/runs
List approval flow runs
Parameter query
pageToken
string
The cursor that keeps track of the current position in the results.
limit
integer
Limits the number of results to return.
reverse
boolean
Reverses the order in which the results are returned.
status
string
Filter approval runs by status
Possible values: pending, approved, denied, canceled
Payload respons
results
array of object
Tampilkan atribut turunan
results.id
string
wajib
results.approvalFlowId
string
wajib
results.organizationId
string
results.workspaceId
string
results.status
string
wajib
Possible values: pending, approved, denied, canceled
results.activeStep
number
results.previousObject
object
results.object
object
results.invoker
object
Reference to an entity that invoked the run for this flow.
Tampilkan atribut turunan
results.invoker.type
string
wajib
Type of entity that invoked the run.
Possible values: user, accesskey, contact
results.invoker.id
string
wajib
ID of the entity that invoked the run.
results.tags
array of object
wajib
Tampilkan atribut turunan
results.tags.key
string
wajib
results.tags.value
string
wajib
results.results
array of object
wajib
Tampilkan atribut turunan
results.results.reviewer
object
Reference to an entity that can review the runs for this flow.
Tampilkan atribut turunan
results.results.reviewer.type
string
wajib
Possible values: user
results.results.reviewer.id
string
wajib
results.results.userId
string
results.results.result
string
wajib
Possible values: approved, rejected
results.results.comment
string
results.createdAt
string
wajib
results.updatedAt
string
wajib
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
Contoh kode
curl -X GET 'https://api.bird.com/organizations/{organizationId}/approvals/{approvalId}/runs' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/organizations/{organizationId}/approvals/{approvalId}/runs/{approvalRunId}
Get approval flow run
Payload respons
id
string
wajib
approvalFlowId
string
wajib
organizationId
string
workspaceId
string
status
string
wajib
Possible values: pending, approved, denied, canceled
activeStep
number
previousObject
object
object
object
invoker
object
Reference to an entity that invoked the run for this flow.
Tampilkan atribut turunan
invoker.type
string
wajib
Type of entity that invoked the run.
Possible values: user, accesskey, contact
invoker.id
string
wajib
ID of the entity that invoked the run.
tags
array of object
wajib
Tampilkan atribut turunan
tags.key
string
wajib
tags.value
string
wajib
results
array of object
wajib
Tampilkan atribut turunan
results.reviewer
object
Reference to an entity that can review the runs for this flow.
Tampilkan atribut turunan
results.reviewer.type
string
wajib
Possible values: user
results.reviewer.id
string
wajib
results.userId
string
results.result
string
wajib
Possible values: approved, rejected
results.comment
string
createdAt
string
wajib
updatedAt
string
wajib
Contoh kode
curl -X GET 'https://api.bird.com/organizations/{organizationId}/approvals/{approvalId}/runs/{approvalRunId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'